Package wx :: Package lib :: Package analogclock :: Package lib_setup :: Module buttontreectrlpanel :: Class ButtonTreeCtrlPanel

[frames | no frames]

## Type ButtonTreeCtrlPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            ButtonTreeCtrlPanel

Known Subclasses:
  `StylesPanel`

Method Summary
| `__init__(self, parent, id, pos, size, style)`
| `AddItem(self, label, bmp, parent, style, value)`
| `CollapseItem(self, item)`
| `EnsureFirstVisible(self)`
| `ExpandItem(self, item)`
| `GetAllItems(self)`
| `getcheckbox_checkedBitmap(self)`
| `getcheckbox_checkedData(self)`
| `getcheckbox_checkedImage(self)`
| `getcheckbox_triBitmap(self)`
| `getcheckbox_triData(self)`
| `getcheckbox_triImage(self)`
| `getcheckbox_uncheckedBitmap(self)`
| `getcheckbox_uncheckedData(self)`
| `getcheckbox_uncheckedImage(self)`
| `GetItemByLabel(self, label, parent)`
| `GetItemsChecked(self, parent)`
| `GetItemsTri(self, parent)`
| `GetItemsUnchecked(self, parent)`
| `GetItemValue(self, item)`
| `getradiobox_checkedBitmap(self)`
| `getradiobox_checkedData(self)`
| `getradiobox_checkedImage(self)`
| `getradiobox_uncheckedBitmap(self)`
| `getradiobox_uncheckedData(self)`
| `getradiobox_uncheckedImage(self)`
| `GetRootItems(self)`
| `GetStringItemsChecked(self, parent)`
| `GetStringItemsTri(self, parent)`
| `GetStringItemsUnchecked(self, parent)`
| `GetStringRootItems(self)`
| `OnLeftClicks(self, evt)`
| `OnRightClick(self, evt)`
| `OnSize(self, evt)`
| `SetItemValue(self, item, value)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:09 2007 | http://epydoc.sf.net